1

when i run a multiple docker (the example) elastic bean stalk on docker, it failed with

eb local run

Pulling image php:fpm...
ERROR: TypeError :: the JSON object must be str, not 'bytes'

with debug

> eb local run --debug
> requests.exceptions.HTTPError: 404 Client Error:
> Not Found for url:
> http+docker://localunixsocket/v1.17/containers/create?name=elasticbeanstalk_phpapp_1
> 
> During handling of the above exception, another exception occurred:
> 
> Traceback (most recent call last):   File
> "/home/julien/.aws/virtualpy34/lib/python3.4/site-packages/ebcli/bundled/_compose/service.py",
> line 194, in create_container
>     return Container.create(self.client, **container_options)   File "/home/julien/.aws/virtualpy34/lib/python3.4/site-packages/ebcli/bundled/_compose/container.py",
> line 36, in create
>     response = client.create_container(**options)   File "/home/julien/.aws/virtualpy34/lib/python3.4/site-packages/docker/api/container.py",
> line 119, in create_container
>     return self.create_container_from_config(config, name)   File "/home/julien/.aws/virtualpy34/lib/python3.4/site-packages/docker/api/container.py",
> line 130, in create_container_from_config
>     return self._result(res, True)   File "/home/julien/.aws/virtualpy34/lib/python3.4/site-packages/docker/client.py",
> line 150, in _result
>     self._raise_for_status(response)   File "/home/julien/.aws/virtualpy34/lib/python3.4/site-packages/docker/client.py",
> line 145, in _raise_for_status
>     raise errors.NotFound(e, response, explanation=explanation) docker.errors.NotFound: 404 Client Error: Not Found ("b'No such image:
> php:fpm'")

i run ubuntu 16.04, docker and composer are working without problems

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy